## bootcd 3.25

=== debian/changelog ===
bootcd (3.25) unstable; urgency=low

  * fixed Bug in bootcdmk2diskconf which did create wrong bootcd2disk.conf 
    if a VG consisted of more than one PV
  * fixed bashism in bootcd2disk
  * deleted hppa support

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Wed, 16 Mar 2011 14:34:33 +0100

bootcd (3.24) unstable; urgency=low

  * bootcd-i386 now recommends bootcd-mkinitramfs, because it almost always
    needed
  * Added Configuration for LXDE, which depends on writing to ~/.cache
    since Debian Squeeze, in bootcdwrite.conf as suggested by
    Kushal Koolwal <kushalkoolwal@gmail.com>. Closes: #615903
  * changed "function extra_changes()" to "extra_changes()" in comments of
    bootcdwrite.conf because of bashism
  * Make sure we do not copy /dev/.udev/

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Tue, 01 Mar 2011 08:11:33 +0100

bootcd (3.23pre24b) unstable; urgency=low

  * Fixed bootcdbackup.lib to use the newer cpio format 'crc'. This fixes 
    cpio errors reported by "Thomas Benter" <thomas.benter@hp.com>

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Tue, 01 Feb 2011 16:07:01 +0100

bootcd (3.23pre24a) unstable; urgency=low

  * Fixed bootcdmk2diskconf bug, where variable GRUB2 was unset. Reported
    by "Thomas Benter" <thomas.benter@hp.com>
  * Fixed bootcdmk2diskconf bug, where variables in comments of
    template bootcd2disk.conf have accidently been evaluated. Reported
    by "Thomas Benter" <thomas.benter@hp.com>

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Tue, 01 Feb 2011 08:56:37 +0100

=== debian/control ===
Source: bootcd
Section: utils
Priority: extra
Maintainer: Bernd Schumacher <bernd.schumacher@hp.com>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.8.2

Package: bootcd
Architecture: all
Suggests: ssh, bootcd-mkinitramfs
Depends: ${misc:Depends}, genisoimage, cpio, fdutils, file, dosfstools, realpath, bootcd-i386 | bootcd-hppa | bootcd-ia64
Recommends: wodim
Description: run your system from cd without need for disks
 Build an image of your running Debian System with the command bootcdwrite.
 You can also build a bootcd ISO image via NFS on a remote System.
 When you run your system from CD you do not need any disks. All 
 changes will be done in ram. To reuse this changes at next boot time 
 you can save them on FLOPPY with the command bootcdflopcp. If booting
 from your CD-drive is not supported, booting from FLOPPY is possible. 
 It is possible to install a new system from the running CD with the 
 command bootcd2disk. Bootcd2disk can also find a target disk, format 
 it and make it bootable automatically. Bootcd also supports lilo, 
 grub, initrd, udev, lvm, transparent-compression ISO 9660 fs and 
 syslinux/isolinux. The included FAQ describes how bootcd can do 
 online or offline backups of other Linux distributions, resulting 
 in restore-bootcds. The bootcdbackupwizard helps to create online 
 backups.

Package: bootcd-i386
Architecture: all
Depends: ${misc:Depends}, bootcd (>=3.17), syslinux
Recommends: bootcd-mkinitramfs
Description: bootcd extension to create images that can boot on i386
 With bootcd you can copy your system to cd, run it from cd without need for 
 disks and restore your system on disk from bootcd. This package is needed to 
 create images that can boot on i386.

#Package: bootcd-hppa
#Architecture: all
#Depends: ${misc:Depends}, bootcd (>=3.17), palo
#Description: bootcd extension to create images that can boot on parisc/hppa
# With bootcd you can copy your system to cd, run it from cd without need for 
# disks and restore your system on disk from bootcd. This package is needed to 
# create images that can boot on parisc/hppa.

Package: bootcd-ia64
Architecture: all
Depends: ${misc:Depends}, bootcd (>=3.18), elilo
Pre-Depends: bootcd (>=3.17)
Description: bootcd extension to create images that can boot on ia64
 With bootcd you can copy your system to cd, run it from cd without need for 
 disks and restore your system on disk from bootcd. This package is needed to 
 create images that can boot on ia64.

Package: bootcd-mkinitramfs
Architecture: all
Suggests: discover | discover1
Depends: ${misc:Depends}, initramfs-tools, busybox | busybox-static | busybox-cvs | busybox-cvs-static, bootcd (>= 3.17)
Conflicts: bootcd-mkinitrd
Description: initramfs extension for bootcd
 With the installation of this bootcd extension your 
 initrd-image will be updated to be usable for bootcd.
 With bootcd you can copy your system to cd, run it from cd without need for 
 disks and restore your system on disk from bootcd. 
 This Package should be installed on a system you want to copy to cd, if the
 kernel uses initrd (as all prebuild Debian 2.4 and 2.6 kernels do).
 If you have also installed discover than it can be used to detect the needed 
 modules to boot.

Package: bootcd-backup
Architecture: all
Suggests: bootcd (>=3.17)
Depends: ${misc:Depends}
Conflicts: 
Description: tools to backup a Debian or alien Linux installation
 Tools and documentation to backup a Debian or alien Linux
 distribution to a bootable Debian bootcd.
 If you only want to backup an alien Linux distribution just download
 ftp://bootcd.alioth.debian.org/pub/bootcd/bootcdbackupwizard.tar.gz
 on the alien Linux distribution, untar it and follow the README.
 To create bootcdbackupwizard.tar.gz and to learn more, install this package.

## bootcd 3.26

=== Makefile ===
# Makefile 
#

BIN=		bootcdwrite
USRLIBS=	bootcd-run.lib bootcdbackup.lib bootcd-check.lib \
		bootcd2disk.conf bootcd2disk.lib \
		default.txt bootcd-ia64.lib bootcd-i386.lib
USREXLIBS=	bootcd2disk bootcdflopcp bootcdmodprobe bootcdproberoot \
		bootcdmk2diskconf bootcdbackup
CONFFILES=	bootcdwrite.conf isolinux.cfg syslinux.cfg bootcdbackup.conf 
INITTOP=	runbootcdmodprobe
INITPREMOUNT=	runbootcdproberoot
INITHOOK=       bootcdinitramfshook
INITRAMFSDEST=  $(DESTDIR)/usr/share/initramfs-tools

VERSION=version=$$(sed -ne "s|^bootcd (\([^)]*\)).*|\1|p;q" debian/changelog)
# /bin/echo is needed instead of echo. Because /bin/echo it behaves like 
# bash-echo and does not interpret \n as dash-echo would do.
REPLVERSION=($(VERSION); \
  version2=$$(/bin/echo "$${version}" | sed "s/\./_/"); \
  sed -e "s|\#\#BOOTCD\.VERSION\#\#|$${version}|" -e "s|\#\#BOOTCD_VERSION\#\#|$${version2}|")
INSERT=( \
    F=$$(cat); \
    lines=$$(/bin/echo "$$F" | sed -e "$$SEARCH" |wc -l); \
    elines=$$(expr $$(/bin/echo "$$F" |wc -l) - $$lines + 1); \
    /bin/echo "$$F" | head -n $$lines; \
    cat $$FILE; \
    /bin/echo "$$F" | tail -n -$$elines \
	)

all: bootcddebootstrap bootcdbackupwizard bootcdmkbackwiztar ${USREXLIBS} ${INITTOP}

bootcdbackwiz: bootcdbackwiz_extract ../bootcd_*_all.deb ../bootcd-mkinitramfs_*_all.deb ../bootcd-i386_*_all.deb ../bootcd-backup_*_all.deb README.bootcdbackwiz_extract
	sh -c '$(VERSION); \
	  mkdir bootcdbackupwizard_$${version}; \
          for i in $^; do \
            cp $$i bootcdbackupwizard_$${version}/; \
          done; \
          tar -cvzf bootcdbackupwizard_$${version}.tar.gz bootcdbackupwizard_$${version}; \
          rm -rf bootcdbackupwizard_$${version}'

clean:
	@rm -f ChangeLog.gz
	@rm -f bootcddebootstrap bootcdbackupwizard bootcdmk2diskconf \
	  bootcdbackwiz_extract bootcdmkbackwiztar
	@rm -rf bootcdbackupwizard_*.tar.gz
	@rm -f bootcdmodprobe runbootcdmodprobe

install:	all
	@install -m 755 -o root -g root $(BIN) $(DESTDIR)/usr/bin/
	@install -m 644 -o root -g root $(CONFFILES) $(DESTDIR)/etc/bootcd/
	@install -m 644 -o root -g root $(USRLIBS) $(DESTDIR)/usr/share/bootcd/
	@install -m 755 -o root -g root $(USREXLIBS) $(DESTDIR)/usr/share/bootcd/
	@install -m 755 -o root -g root $(INITTOP) $(INITRAMFSDEST)/scripts/init-top/
	@install -m 755 -o root -g root $(INITPREMOUNT) $(INITRAMFSDEST)/scripts/init-premount/
	@install -m 755 -o root -g root $(INITHOOK) $(INITRAMFSDEST)/hooks/

bootcddebootstrap: bootcddebootstrap.src bootcd-run.lib
	sh -c ' \
	  cat $< | \
	  ( SEARCH="\|\#\#\# BOOTCD-RUN_LIB|q"; FILE="bootcd-run.lib"; $(INSERT) ) | \
	  $(REPLVERSION) >$@'
	chmod 755 $@

bootcdbackupwizard: bootcdbackupwizard.src bootcd-run.lib bootcdbackup.lib
	sh -c ' \
	  cat $< | \
	  ( SEARCH="\|\#\#\# BOOTCD-RUN_LIB|q"; FILE="bootcd-run.lib" ; $(INSERT) ) | \
	  ( SEARCH="\|\#\#\# BOOTCDBACKUP_LIB|q"; FILE="bootcdbackup.lib" ; $(INSERT) ) | \
	  $(REPLVERSION) >$@'
	chmod 755 $@

bootcdbackwiz_extract: bootcdbackwiz_extract.src ../bootcd_*_all.deb ../bootcd-mkinitramfs_*_all.deb ../bootcd-i386_*_all.deb
	sh -c ' \
          bootcddeb=$$(cd ..; /bin/ls bootcd_*_all.deb); \
	  bootcdmkinitramfsdeb=$$(cd ..; /bin/ls bootcd-mkinitramfs_*_all.deb); \
	  bootcdi386deb=$$(cd ..; /bin/ls bootcd-i386_*_all.deb);\
	  bootcdbackupdeb=$$(cd ..; /bin/ls bootcd-backup_*_all.deb);\
	  sed -e "s|\#\#BOOTCDDEB\#\#|$${bootcddeb}|;\
s|\#\#BOOTCDMKINITRAMFSDEB\#\#|$${bootcdmkinitramfsdeb}|;\
s|\#\#BOOTCDBACKUPDEB\#\#|$${bootcdbackupdeb}|;\
s|\#\#BOOTCDI386DEB\#\#|$${bootcdi386deb}|" $< | \
	  $(REPLVERSION) >$@'
	chmod 755 $@

bootcdmk2diskconf:	bootcdmk2diskconf.src bootcd2disk.conf
	sh -c ' \
	  cat $< | \
	  ( SEARCH="\|\#\#\# BOOTCD2DISK.CONF|q"; FILE="bootcd2disk.conf"; $(INSERT) ) | \
	  $(REPLVERSION) >$@'
	chmod 755 $@
	./$@ -checktemplate

bootcdmkbackwiztar:	bootcdmkbackwiztar.src
	sh -c 'cat $< | $(REPLVERSION) >$@'
	chmod 755 $@

bootcdmodprobe:		bootcdmodprobe.src
	sh -c 'cat $< | $(REPLVERSION) >$@'
	chmod 755 $@

runbootcdmodprobe:	runbootcdmodprobe.src
	sh -c 'cat $< | $(REPLVERSION) >$@'
	chmod 755 $@

=== debian/changelog ===
bootcd (3.26) unstable; urgency=low

  * changed alioth repository from cvs to svn
  * bootcdwrite now mounts cdimage.iso with option "-o ro" to avoid a warning,
    that cdimage.iso is mounted read only.
  * I could not reproduce the "image kernel panics" bug. But with adding
    "-o ro" to the mount command in bootcdproberoot, the fix proposed by
    Igor Chubin <igor@chub.in> has been applied. Closes: #382293
  * automatically add a 2 MB post-MBR gap for grub-2 if SFDISK0=auto is 
    configured
  * support /run and do not copy /run/* on bootcd
  * verified that /dev/.udev code in bootcd does not harm on systems 
    with /run. The code listed in the bugreport only makes sure that bootcd 
    does not copy /dev/.udev if it exists. Closes: #644309
  * changed Standards-Verstion from to 3.9.1
  * deleted dependency "bootcd-i386:Depends bootcd" and 
    "bootcd-ia64:Depends bootcd". Closes: #622690
  * tested bootcdwrite and bootcd2disk with actual version of wheezy and
    squeeze. The bug "Error on /dev/loop/0 under amd64" reported by 
    Alexander Sieck <alexander.sieck@web.de> and the bug 
    "Kernel panic at boot /sbin/init" reported by 
    el jefe delito <eljefedelito@gmail.com> could not be reproduced with 
    version 3.26. Closes: #362231 and Closes: #539213

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Wed, 05 Oct 2011 11:26:39 +0200

## bootcd 3.27

=== debian/changelog ===
bootcd (3.27) unstable; urgency=low

  * Tested bootcdbackupwizard/bootcd2disk with rh6.1 and wheezy
  * Tested bootcdwrite/bootcd2disk with wheezy

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 14 Nov 2011 09:07:47 +0100

bootcd (3.26pre27b) unstable; urgency=low

  * bootcdbackupwizard can now also backup systems which use grub2.
    (Tested with wheezy, which normally would be backuped with bootcdwrite)
    Because a grub2 installtion from bootcd, only seems to work with chroot,
    chroot has to work. To make chroot work, the bootcd kernel is 
    now dynamically chosen by bootcdbackupwizard to have the same 
    architecture as used by the backuped system.
  * because star is not available any more in debian, no backup of
    selinux special files will be done by bootcdbackupwizard. To make
    the backuped system work after restore a warning will be given and 
    the selinux policy will be set to permissive.
  * try to make sure udev has created devices, after partitioning before
    doing the next step, with udevadm.

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Thu, 10 Nov 2011 07:54:22 +0100

bootcd (3.26pre27a) unstable; urgency=low

  * bootcdmk2diskconf now supports UUIDs instead of device names in fstab
  * login to a bootcd created by bootcdbackupwizard is possible 
    without password as before on console, after automatically creating
    the now necessary entry in passwd
  * the usage of udev is now discovered correctly also for debian/squeeze
    in /etc/init.d/bootcdram, so that devpts is . 
  * ssh login geht nicht: mount -t devpts none /dev/pts
  * mkswap has now option -f to prevent a warning with swap on logical volumes
  * bootcdbackupwizard now decides if either grub or grub-legacy will be
    installed based on the system that will be backuped.
  * Have ony one function "prepare_chroot" used by all bootcd scripts
  * tested bootcdbackupwizard with RH6.1 
  * better dbg mechanism, can be toggled from interactive mode
  * bootcd2disk now warns and sets SELINUX status to permissive if necessary

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Tue, 01 Nov 2011 10:54:07 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: utils
 Priority: extra
 Maintainer: Bernd Schumacher <bernd.schumacher@hp.com>
-Build-Depends: debhelper (>= 7)
-Standards-Version: 3.8.2
+Build-Depends: debhelper (>= 8.0.0)
+Standards-Version: 3.9.1
 
 Package: bootcd
 Architecture: all
 Suggests: ssh, bootcd-mkinitramfs
-Depends: ${misc:Depends}, genisoimage, cpio, fdutils, file, dosfstools, realpath, bootcd-i386 | bootcd-hppa | bootcd-ia64
+Depends: ${misc:Depends}, genisoimage, cpio, fdutils, file, dosfstools, realpath, bootcd-i386 | bootcd-ia64
 Recommends: wodim
 Description: run your system from cd without need for disks
  Build an image of your running Debian System with the command bootcdwrite.
@@ -28,25 +28,16 @@
 
 Package: bootcd-i386
 Architecture: all
-Depends: ${misc:Depends}, bootcd (>=3.17), syslinux
+Depends: ${misc:Depends}, syslinux
 Recommends: bootcd-mkinitramfs
 Description: bootcd extension to create images that can boot on i386
  With bootcd you can copy your system to cd, run it from cd without need for 
  disks and restore your system on disk from bootcd. This package is needed to 
  create images that can boot on i386.
 
-#Package: bootcd-hppa
-#Architecture: all
-#Depends: ${misc:Depends}, bootcd (>=3.17), palo
-#Description: bootcd extension to create images that can boot on parisc/hppa
-# With bootcd you can copy your system to cd, run it from cd without need for 
-# disks and restore your system on disk from bootcd. This package is needed to 
-# create images that can boot on parisc/hppa.
-
 Package: bootcd-ia64
 Architecture: all
-Depends: ${misc:Depends}, bootcd (>=3.18), elilo
-Pre-Depends: bootcd (>=3.17)
+Depends: ${misc:Depends}, elilo
 Description: bootcd extension to create images that can boot on ia64
  With bootcd you can copy your system to cd, run it from cd without need for 
  disks and restore your system on disk from bootcd. This package is needed to 
@@ -55,7 +46,7 @@
 Package: bootcd-mkinitramfs
 Architecture: all
 Suggests: discover | discover1
-Depends: ${misc:Depends}, initramfs-tools, busybox | busybox-static | busybox-cvs | busybox-cvs-static, bootcd (>= 3.17)
+Depends: ${misc:Depends}, initramfs-tools, busybox | busybox-static | busybox-cvs | busybox-cvs-static, bootcd (>= 3.26)
 Conflicts: bootcd-mkinitrd
 Description: initramfs extension for bootcd
  With the installation of this bootcd extension your 
@@ -69,7 +60,7 @@
 
 Package: bootcd-backup
 Architecture: all
-Suggests: bootcd (>=3.17)
+Suggests: bootcd (>=3.26)
 Depends: ${misc:Depends}
 Conflicts: 
 Description: tools to backup a Debian or alien Linux installation

## bootcd 3.28

=== debian/changelog ===
bootcd (3.28) unstable; urgency=low

  * Tested bootcd with tmpfs.

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Tue, 05 Jun 2012 08:15:07 +0200

bootcd (3.27pre28b) unstable; urgency=low

  * Added changes from Andrew Coughlan <countfuzzball@gmail.com> and own 
    changes and fixes to support tmpfs.

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Tue, 14 Feb 2012 08:53:13 +0100

bootcd (3.27pre28a) unstable; urgency=low

  * Using debootstrap_1.0.38 for bootcdbackupwizard

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 05 Dec 2011 09:54:02 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS


%:
	dh $@ 

override_dh_installdirs:
	dh_installdirs -ptmp	

override_dh_installinit:
	dh_installinit -i --name=bootcdram --update-rcd-params="start 12 S ."
	dh_installinit -i --name=bootcdflop --update-rcd-params="start 13 S ."

override_dh_compress:
	dh_compress -i -Xbootcdbackupwizard -Xbootcddebootstrap -Xbootcdmk2diskconf
	# bootcdbackupwizard, bootcddebootstrap is not compressed, because we do not know 
	# if the foreign distri has gunzip installed

## bootcd 3.29

=== Makefile ===
--- 
+++ 
@@ -83,9 +83,10 @@
 	  $(REPLVERSION) >$@'
 	chmod 755 $@
 
-bootcdmk2diskconf:	bootcdmk2diskconf.src bootcd2disk.conf
+bootcdmk2diskconf:	bootcdmk2diskconf.src bootcd2disk.conf bootcd-run.lib
 	sh -c ' \
 	  cat $< | \
+	  ( SEARCH="\|\#\#\# BOOTCD-RUN_LIB|q"; FILE="bootcd-run.lib" ; $(INSERT) ) | \
 	  ( SEARCH="\|\#\#\# BOOTCD2DISK.CONF|q"; FILE="bootcd2disk.conf"; $(INSERT) ) | \
 	  $(REPLVERSION) >$@'
 	chmod 755 $@

=== debian/changelog ===
bootcd (3.29) unstable; urgency=low

  * Fixed bootcd2disk grub stage files.
    Stage files used to install with bootcd2disk will not be changed in /boot 
    after install.

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Fri, 16 Nov 2012 10:19:38 +0100

## bootcd 4.00

=== Makefile ===
--- 
+++ 
@@ -9,6 +9,7 @@
 		bootcdmk2diskconf bootcdbackup
 CONFFILES=	bootcdwrite.conf isolinux.cfg syslinux.cfg bootcdbackup.conf 
 INITTOP=	runbootcdmodprobe
+LOCALBOTTOM=    bootcdaufs
 INITPREMOUNT=	runbootcdproberoot
 INITHOOK=       bootcdinitramfshook
 INITRAMFSDEST=  $(DESTDIR)/usr/share/initramfs-tools
@@ -30,7 +31,7 @@
 
 all: bootcddebootstrap bootcdbackupwizard bootcdmkbackwiztar ${USREXLIBS} ${INITTOP}
 
-bootcdbackwiz: bootcdbackwiz_extract ../bootcd_*_all.deb ../bootcd-mkinitramfs_*_all.deb ../bootcd-i386_*_all.deb ../bootcd-backup_*_all.deb README.bootcdbackwiz_extract
+bootcdbackwiz: bootcdbackwiz_extract ../bootcd_*_all.deb README.bootcdbackwiz_extract
 	sh -c '$(VERSION); \
 	  mkdir bootcdbackupwizard_$${version}; \
           for i in $^; do \
@@ -53,6 +54,7 @@
 	@install -m 755 -o root -g root $(USREXLIBS) $(DESTDIR)/usr/share/bootcd/
 	@install -m 755 -o root -g root $(INITTOP) $(INITRAMFSDEST)/scripts/init-top/
 	@install -m 755 -o root -g root $(INITPREMOUNT) $(INITRAMFSDEST)/scripts/init-premount/
+	@install -m 755 -o root -g root $(LOCALBOTTOM) $(INITRAMFSDEST)/scripts/local-bottom/
 	@install -m 755 -o root -g root $(INITHOOK) $(INITRAMFSDEST)/hooks/
 
 bootcddebootstrap: bootcddebootstrap.src bootcd-run.lib
@@ -70,16 +72,10 @@
 	  $(REPLVERSION) >$@'
 	chmod 755 $@
 
-bootcdbackwiz_extract: bootcdbackwiz_extract.src ../bootcd_*_all.deb ../bootcd-mkinitramfs_*_all.deb ../bootcd-i386_*_all.deb
+bootcdbackwiz_extract: bootcdbackwiz_extract.src ../bootcd_*_all.deb 
 	sh -c ' \
           bootcddeb=$$(cd ..; /bin/ls bootcd_*_all.deb); \
-	  bootcdmkinitramfsdeb=$$(cd ..; /bin/ls bootcd-mkinitramfs_*_all.deb); \
-	  bootcdi386deb=$$(cd ..; /bin/ls bootcd-i386_*_all.deb);\
-	  bootcdbackupdeb=$$(cd ..; /bin/ls bootcd-backup_*_all.deb);\
-	  sed -e "s|\#\#BOOTCDDEB\#\#|$${bootcddeb}|;\
-s|\#\#BOOTCDMKINITRAMFSDEB\#\#|$${bootcdmkinitramfsdeb}|;\
-s|\#\#BOOTCDBACKUPDEB\#\#|$${bootcdbackupdeb}|;\
-s|\#\#BOOTCDI386DEB\#\#|$${bootcdi386deb}|" $< | \
+	  sed -e "s|\#\#BOOTCDDEB\#\#|$${bootcddeb}|" $< | \
 	  $(REPLVERSION) >$@'
 	chmod 755 $@

=== debian/changelog ===
bootcd (4.00) unstable; urgency=low

  * add bootcd2disk config vars EXT3FS and EXT4FS 
  * deleted config vars EXT3 and EXT4
  * changed Standards-Verstion from 3.9.1 to 3.9.4
  * Bootcd now uses the aufs, so there is no need for specifying ramdisk sizes
    any more. Closes: #173134 and Closes: #312023
  * There is only one bootcd package which includes everything, no bootcd-i386,
    no bootcd-ia64, no bootcd-backup and no bootcd-mkinitramfs are needed any
    more Closes: #366578 .

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Fri, 10 May 2013 09:00:14 +0200

bootcd (3.99pre4.00e) unstable; urgency=low

  * also try grub-install to make grub1 work with bootcd2disk

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Tue, 27 Nov 2012 13:09:01 +0100

bootcd (3.99pre4.00d) unstable; urgency=low

  * added BIND variable to bootcd2disk.conf to use "mount --bind" in chroot
  * added Support for ext4 filesystem

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 26 Nov 2012 12:53:56 +0100

bootcd (3.99pre4.00c) unstable; urgency=low

  * chroot now has file /etc/mtab
  * do not install empty dir /usr/sbin
  * use mountpoint /mnt/bootcd.disc for backup and restore disc 
    /mnt/bootcd.aufs for aufs and /mnt/bootcd.ro for cd
  * use wheezy for bootcdbackup
  * make bootcdbakupwizard run with only one bootcd*.deb
  * Fixed bootcd2disk grub stage files (bug in 3.28 that has been fixed in 3.29)
    Stage files used to install with bootcd2disk will not be changed in /boot 
    after install.

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Fri, 16 Nov 2012 08:50:11 +0100

bootcd (3.99pre4.00b) unstable; urgency=low

  * Mountpoint for new system changed from /mnt to /mnt/bootcd.mnt

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Tue, 06 Nov 2012 14:00:16 +0100

bootcd (3.99pre4.00a) unstable; urgency=low

  * bootcd now uses aufs.
  * Only one bootcd package, to make installation easier
    (no extra packags for bootcd-backup_*_all.deb, bootcd-i386_*_all.deb, 
    bootcd-ia64_*_all.deb and bootcd-mkinitramfs_*_all.deb)

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Thu, 26 Jul 2012 14:36:16 +0200

## bootcd 4.02

=== debian/changelog ===
bootcd (4.02) unstable; urgency=low

  * in bootcdbackup: make sure backup data, which is already compressed, 
    will not be compressed again by mkzftree

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 02 Dec 2013 11:10:10 +0100

bootcd (4.01) unstable; urgency=low

  * bootcdmk2diskconf now calculates EXT2FS, EXT3FS and EXT4FS automatically
  * bootcd2disk now checks if rereading the partiton table works after 
    partitioning and reboots if necessarry. 
  * only support iso images with compression enabled, because without
    compression is not used and not tested. So no config variable
    COMPRESSION is needed any more
  * only support for iso images using ISOLINUX. So no config variable
    ISOLINUX and SYSLINUX_SAVE is needed any more.
  * no support for hppa, deleted some remains
  * no support for ia64 any more. it has not been tested for a to long time.
    So no config variable ELILO and ARCH is needed any more.

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Wed, 28 Aug 2013 09:48:48 +0200

## bootcd 4.04

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 BIN=		bootcdwrite
 USRLIBS=	bootcd-run.lib bootcdbackup.lib bootcd-check.lib \
 		bootcd2disk.conf bootcd2disk.lib \
-		default.txt bootcd-ia64.lib bootcd-i386.lib
+		default.txt 
 USREXLIBS=	bootcd2disk bootcdflopcp bootcdmodprobe bootcdproberoot \
 		bootcdmk2diskconf bootcdbackup
 CONFFILES=	bootcdwrite.conf isolinux.cfg syslinux.cfg bootcdbackup.conf

=== debian/changelog ===
bootcd (4.04) unstable; urgency=low

  * Fixed little typo Bug which was no problem on wheezy before. Closes: #738410

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 10 Feb 2014 18:11:50 +0100

bootcd (4.03) unstable; urgency=low

  * changes for bootcdbackup in file bootcdmk2diskconf.src to read Input
    Partitions (Variable RIPARTITION) not only from /proc/partitions as before
    but also from sfdisk -s output. This was needed for RH 6.4 backup.
  * test data for new feature in bootcdmk2diskconf.tst7

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 27 Jan 2014 13:28:59 +0100

=== debian/control ===
Source: bootcd
Section: utils
Priority: extra
Maintainer: Bernd Schumacher <bernd.schumacher@hp.com>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.4

Package: bootcd
Architecture: all
Suggests: ssh, discover | discover1, elilo
Depends: ${misc:Depends}, genisoimage, cpio, fdutils, file, dosfstools, realpath, aufs-tools, syslinux, initramfs-tools, busybox | busybox-static | busybox-cvs | busybox-cvs-static
Recommends: wodim
Conflicts: bootcd-i386, bootcd-ia64, bootcd-mkinitramfs, bootcd-backup
Description: run your system from cd without need for disks
 Build an image of your running Debian System with the command bootcdwrite.
 You can also build a bootcd ISO image via NFS on a remote System.
 When you run your system from CD you do not need any disks. All 
 changes will be done in ram. To reuse this changes at next boot time 
 you can save them on FLOPPY with the command bootcdflopcp. If booting
 from your CD-drive is not supported, booting from FLOPPY is possible. 
 It is possible to install a new system from the running CD with the 
 command bootcd2disk. Bootcd2disk can also find a target disk, format 
 it and make it bootable automatically. Bootcd also supports lilo, 
 grub, initrd, udev, lvm, transparent-compression ISO 9660 fs and 
 syslinux/isolinux. The included FAQ describes how bootcd can do 
 online or offline backups of other Linux distributions, resulting 
 in restore-bootcds. The bootcdbackupwizard helps to create online 
 backups.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_installinit:
	dh_installinit -i --name=bootcdflop --update-rcd-params="start 13 S ."

override_dh_compress:
	dh_compress -i -Xbootcdbackupwizard -Xbootcddebootstrap -Xbootcdmk2diskconf
	# bootcdbackupwizard, bootcddebootstrap is not compressed, because we do not know 
	# if the foreign distri has gunzip installed

## bootcd 4.05

=== debian/changelog ===
bootcd (4.05) unstable; urgency=low

  * bootcd now depends on syslinux-common and recommends isolinux
    (it does not depend on isolinux, because it is not available on wheezy
    and before) , closes: #760831
  * now using mkzftree with option -p as suggested 
    by Alberto Marmodoro <marmodoro@libero.it>
  * adding /usr/lib/syslinux/modules/bios/ldlinux.c32 to isolinux
    if installed by syslinux-common, closes: #760835

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Tue, 09 Sep 2014 09:32:09 +0200

bootcd (4.05~e) unstable; urgency=low

  * multiple mount types did not always work, so continue with 
    for-next-loop but add all filesystems listed in 4.05~d

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 01 Sep 2014 15:19:41 +0200

bootcd (4.05~d) unstable; urgency=low

  * Try to mount bootcd with option -t ext2,ext3,ext4,iso9660,ntfs,auto

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 09 Jun 2014 12:11:27 +0200

bootcd (4.05~c) unstable; urgency=low

  * Added NTFS in bootcdproberoot
  * changed /tmp permissions on bootcd 
  * recognize option CONFIG_EXT4_USE_FOR_EXT23 in kernel config

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Thu, 01 May 2014 17:10:47 +0200

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,9 @@
 Package: bootcd
 Architecture: all
 Suggests: ssh, discover | discover1, elilo
-Depends: ${misc:Depends}, genisoimage, cpio, fdutils, file, dosfstools, realpath, aufs-tools, syslinux, initramfs-tools, busybox | busybox-static | busybox-cvs | busybox-cvs-static
-Recommends: wodim
+Depends: ${misc:Depends}, genisoimage, cpio, fdutils, file, dosfstools, realpath, aufs-tools, syslinux, syslinux-common, initramfs-tools, busybox | busybox-static | busybox-cvs | busybox-cvs-static
+# isolinux does not exist in wheezy. That is why Recommends is used instead of Depends.
+Recommends: wodim, isolinux
 Conflicts: bootcd-i386, bootcd-ia64, bootcd-mkinitramfs, bootcd-backup
 Description: run your system from cd without need for disks
  Build an image of your running Debian System with the command bootcdwrite.

## bootcd 4.06

=== debian/changelog ===
bootcd (4.06) unstable; urgency=low

  * enlarges filesystem /boot created by bootcd2disk as suggested by Kai Harries
    <kai.harries@gmail.com>, closes: #778288
  * using git instead of svn on alioth
  * update FAQ.bootcd as suggested by Kai Harries 
    <kai.harries@gmail.com>, closes: #778593

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Fri, 13 Feb 2015 09:48:51 +0100

bootcd (4.06~b) unstable; urgency=low

  * bootcd2disk fix to ignore some more output of umount
  * Thanks to Russell <George.Beebe@t-systems.com> for Error Report

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 15 Dec 2014 13:35:02 +0100

bootcd (4.06~a) unstable; urgency=low

  * bootcd2disk fix to ignore some more output of wget and mount
    Thanks to Russell <George.Beebe@t-systems.com> for Error Report

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Thu, 23 Oct 2014 09:01:05 +0200

## bootcd 5.00

=== debian/changelog ===
bootcd (5.00) unstable; urgency=low

  * bootcd now uses overlayfs if aufs is not available
  * bootcd and bootcd2disk now run on stretch/sid
  * bootcdflopcp now runs with systemd

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 17 Aug 2015 17:13:05 +0200

bootcd (4.07) unstable; urgency=low

  * bootcd now depends on realpath | coreutils (>= 8.23-1), closes: #780946
  * Thanks to Kai Harries <kai.harries@gmail.com> for fixing part
    LiveUsbBootStick in FAQ.bootcd, closes: #778597

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 23 Mar 2015 08:22:42 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: extra
 Maintainer: Bernd Schumacher <bernd.schumacher@hp.com>
 Build-Depends: debhelper (>= 8.0.0)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 
 Package: bootcd
 Architecture: all
-Suggests: ssh, discover | discover1, elilo
-Depends: ${misc:Depends}, genisoimage, cpio, fdutils, file, dosfstools, realpath, aufs-tools, syslinux, syslinux-common, initramfs-tools, busybox | busybox-static | busybox-cvs | busybox-cvs-static
+Suggests: ssh, discover | discover1, elilo, aufs-tools
+Depends: ${misc:Depends}, genisoimage, cpio, fdutils, file, dosfstools, realpath | coreutils (>= 8.23-1), syslinux, syslinux-common, initramfs-tools, busybox | busybox-static | busybox-cvs | busybox-cvs-static
 # isolinux does not exist in wheezy. That is why Recommends is used instead of Depends.
 Recommends: wodim, isolinux
 Conflicts: bootcd-i386, bootcd-ia64, bootcd-mkinitramfs, bootcd-backup

## bootcd 5.04

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 		bootcdmk2diskconf bootcdbackup
 CONFFILES=	bootcdwrite.conf isolinux.cfg syslinux.cfg bootcdbackup.conf 
 INITTOP=	runbootcdmodprobe
-LOCALBOTTOM=    bootcdaufs
+LOCALBOTTOM=    bootcdoverlayfs
 INITPREMOUNT=	runbootcdproberoot
 INITHOOK=       bootcdinitramfshook
 INITRAMFSDEST=  $(DESTDIR)/usr/share/initramfs-tools

=== debian/changelog ===
bootcd (5.04) unstable; urgency=medium

  * fixes for stretch
  * using dh-systemd
  * renamed /etc/init.d/bootcdflop to /etc/init.d/bootcd

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Thu, 28 Jan 2016 10:13:31 +0100

bootcd (5.03) unstable; urgency=medium

  * changed HP Email Address from @hp.com to @hpe.com

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Fri, 08 Jan 2016 13:34:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: bootcd
 Section: utils
 Priority: extra
-Maintainer: Bernd Schumacher <bernd.schumacher@hp.com>
-Build-Depends: debhelper (>= 8.0.0)
+Maintainer: Bernd Schumacher <bernd.schumacher@hpe.com>
+Build-Depends: debhelper (>= 8.0.0), dh-systemd (>= 1.5)
 Standards-Version: 3.9.6
 
 Package: bootcd

## bootcd 5.05

=== debian/changelog ===
bootcd (5.05) unstable; urgency=medium

  * respect Kernle Config CONFIG_EXT4_USE_FOR_EXT2=y
  * bootcdoverlayfs: mount in busybox on stretch 2016/05/12 does not have
    option --move anymore, so -o move is used instead
  * bootcdproberoot: does not use unreliable ls command to find devices any more
  * when using mount always give options before dev and mountpoint

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Sun, 15 May 2016 15:21:09 +0200

## bootcd 5.09

=== debian/changelog ===
bootcd (5.09) unstable; urgency=medium

  * added fdisk dependency, closes: #872126

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Tue, 15 Aug 2017 08:03:18 +0200

bootcd (5.08) unstable; urgency=medium

  * changed comment (5.06) about udevadm in this changelog to be ignored 
    by codesearch[1], closes: #852577
  * small fixes in bootc-utils.lib

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Fri, 21 Apr 2017 10:55:27 +0200

bootcd (5.07) unstable; urgency=medium

  * extract some functions to bootcd-utils.lib
  * make lintian happy

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Thu, 20 Apr 2017 11:07:52 +0200

bootcd (5.06) unstable; urgency=medium

  * changed udevadm to /bin/udevadm for buster (symlink in jessie and stretch)

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Wed, 01 Feb 2017 10:55:42 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,13 @@
 Priority: extra
 Maintainer: Bernd Schumacher <bernd.schumacher@hpe.com>
 Build-Depends: debhelper (>= 8.0.0), dh-systemd (>= 1.5)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 
 Package: bootcd
 Architecture: all
 Suggests: ssh, discover | discover1, elilo, aufs-tools
-Depends: ${misc:Depends}, genisoimage, cpio, fdutils, file, dosfstools, realpath | coreutils (>= 8.23-1), syslinux, syslinux-common, initramfs-tools, busybox | busybox-static | busybox-cvs | busybox-cvs-static
-# isolinux does not exist in wheezy. That is why Recommends is used instead of Depends.
-Recommends: wodim, isolinux
+Depends: ${misc:Depends}, genisoimage, cpio, fdutils, file, dosfstools, realpath | coreutils (>= 8.23-1), syslinux, syslinux-common, initramfs-tools, busybox | busybox-static | busybox-cvs | busybox-cvs-static, lsb-base (>= 3.0-6), isolinux, fdisk | util-linux (<< 2.29.2-3~)
+Recommends: wodim
 Conflicts: bootcd-i386, bootcd-ia64, bootcd-mkinitramfs, bootcd-backup
 Description: run your system from cd without need for disks
  Build an image of your running Debian System with the command bootcdwrite.

## bootcd 5.12

=== Makefile ===
--- 
+++ 
@@ -1,18 +1,17 @@
 # Makefile 
 #
 
-BIN=		bootcdwrite
-USRLIBS=	bootcd-run.lib bootcdbackup.lib bootcd-check.lib \
-		bootcd2disk.conf bootcd2disk.lib \
-		default.txt 
-USREXLIBS=	bootcd2disk bootcdflopcp bootcdmodprobe bootcdproberoot \
-		bootcdmk2diskconf bootcdbackup
-CONFFILES=	bootcdwrite.conf isolinux.cfg syslinux.cfg bootcdbackup.conf 
-INITTOP=	runbootcdmodprobe
-LOCALBOTTOM=    bootcdoverlayfs
-INITPREMOUNT=	runbootcdproberoot
-INITHOOK=       bootcdinitramfshook
-INITRAMFSDEST=  $(DESTDIR)/usr/share/initramfs-tools
+BIN=          bootcdwrite
+USRLIBS=      bootcd-run.lib bootcdbackup.lib bootcd-check.lib \
+              bootcd-utils.lib bootcd2disk.conf bootcd2disk.lib default.txt 
+USREXLIBS=    bootcd2disk bootcdflopcp bootcdmodprobe bootcdproberoot \
+              bootcdmk2diskconf bootcdbackup
+CONFFILES=    bootcdwrite.conf isolinux.cfg syslinux.cfg bootcdbackup.conf 
+INITTOP=      runbootcdmodprobe
+LOCALBOTTOM=  bootcdoverlayfs
+INITPREMOUNT= runbootcdproberoot
+INITHOOK=     bootcdinitramfshook
+INITRAMFSDEST=$(DESTDIR)/usr/share/initramfs-tools
 
 VERSION=version=$$(sed -ne "s|^bootcd (\([^)]*\)).*|\1|p;q" debian/changelog)
 # /bin/echo is needed instead of echo. Because /bin/echo it behaves like

=== debian/changelog ===
bootcd (5.12) unstable; urgency=medium

  * bootcd now depends on e2fsprogs, closes: #887247

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Mon, 15 Jan 2018 11:28:59 +0100

bootcd (5.11) unstable; urgency=medium

  * Wrong dependency (typo: yslinux instead of syslinux fixed)

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Thu, 12 Oct 2017 09:54:52 +0200

bootcd (5.10) unstable; urgency=medium

  * no obsolete dependency on realpath | coureutils, closes: #877550

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Tue, 10 Oct 2017 10:36:17 +0200

bootcd (5.10~02) unstable; urgency=medium

  * Small Fix to ignore some stderr messages of mkswap
  * Small Fix to ignore some stderr message of mount

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Wed, 20 Sep 2017 12:33:03 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: bootcd
 Architecture: all
 Suggests: ssh, discover | discover1, elilo, aufs-tools
-Depends: ${misc:Depends}, genisoimage, cpio, fdutils, file, dosfstools, realpath | coreutils (>= 8.23-1), syslinux, syslinux-common, initramfs-tools, busybox | busybox-static | busybox-cvs | busybox-cvs-static, lsb-base (>= 3.0-6), isolinux, fdisk | util-linux (<< 2.29.2-3~)
+Depends: ${misc:Depends}, genisoimage, cpio, fdutils, file, dosfstools, syslinux, syslinux-common, initramfs-tools, busybox | busybox-static | busybox-cvs | busybox-cvs-static, lsb-base (>= 3.0-6), isolinux, fdisk | util-linux (<< 2.29.2-3~), e2fsprogs
 Recommends: wodim
 Conflicts: bootcd-i386, bootcd-ia64, bootcd-mkinitramfs, bootcd-backup
 Description: run your system from cd without need for disks

=== debian/rules ===
--- 
+++ 
@@ -7,13 +7,10 @@
 # This special exception was added by Craig Small in version 0.37 of dh-make.
 
 # Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
+export DH_VERBOSE=1
 
 %:
-	dh $@ 
-
-override_dh_installinit:
-	dh_installinit -i --name=bootcdflop --update-rcd-params="start 13 S ."
+	dh $@ --with systemd
 
 override_dh_compress:
 	dh_compress -i -Xbootcdbackupwizard -Xbootcddebootstrap -Xbootcdmk2diskconf

## bootcd 5.13

=== debian/changelog ===
bootcd (5.13) unstable; urgency=medium

  * addeed option -z to bootcd2disk, to force writing zeros to first disk 
    sectors

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Thu, 14 Jun 2018 12:56:22 +0200

## bootcd 5.14

=== debian/changelog ===
bootcd (5.14) unstable; urgency=medium

  * use dpkg-query to access internal dpkg database, closes: #913780

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Thu, 15 Nov 2018 11:37:35 +0100

## bootcd 5.14+nmu1

=== debian/changelog ===
bootcd (5.14+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 10:37:32 +0800

## bootcd 5.15

=== debian/changelog ===
bootcd (5.15) unstable; urgency=medium

  * removed elilo from Suggests: list. closes: #930651

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Tue, 18 Jun 2019 14:04:25 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: bootcd
 Architecture: all
-Suggests: ssh, discover | discover1, elilo, aufs-tools
+Suggests: ssh, discover | discover1, aufs-tools
 Depends: ${misc:Depends}, genisoimage, cpio, fdutils, file, dosfstools, syslinux, syslinux-common, initramfs-tools, busybox | busybox-static | busybox-cvs | busybox-cvs-static, lsb-base (>= 3.0-6), isolinux, fdisk | util-linux (<< 2.29.2-3~), e2fsprogs
 Recommends: wodim
 Conflicts: bootcd-i386, bootcd-ia64, bootcd-mkinitramfs, bootcd-backup

## bootcd 6.01

=== Makefile ===
# Makefile
#

BIN=          bootcd
USRLIBS=      bootcd-run.lib bootcd-check.lib bootcd-usage.lib \
              bootcd.lib bootcd2disk.lib default.txt bootcdwrite.lib \
              bootcd2disk-check.lib bootcdmk2diskconf.lib bootcdbackup.lib \
			  bootcdconf.lib
USREXLIBS=    bootcdflopcp bootcdmodprobe bootcdproberoot
CONFFILES=    bootcdwrite.conf isolinux.cfg syslinux.cfg bootcd2disk.conf
INITTOP=      runbootcdmodprobe
LOCALBOTTOM=  bootcdoverlayfs
INITPREMOUNT= runbootcdproberoot
INITHOOK=     bootcdinitramfshook
MAN=          bootcdwrite.1 bootcd2disk.1 bootcdflopcp.1 bootcd2disk.conf.5 \
			  bootcdwrite.conf.5 bootcd.7 bootcdmk2diskconf.1 \
			  bootcdbackup.1 thisbootcd.conf.5
SYMLINK=      bootcdwrite bootcdmk2diskconf bootcd2disk bootcdbackup
INITRAMFSDEST=$(DESTDIR)/usr/share/initramfs-tools

all: checks

clean:
	@rm -f ChangeLog.gz bootcdconf.lib bootcd2disk.conf bootcdwrite.conf ${MAN} ${SYMLINK}

install: all
	@install -m 755 -o root -g root $(BIN) $(DESTDIR)/usr/bin/
	@install -m 644 -o root -g root $(CONFFILES) $(DESTDIR)/etc/bootcd/
	@install -m 644 -o root -g root $(USRLIBS) $(DESTDIR)/usr/share/bootcd/
	@install -m 755 -o root -g root $(USREXLIBS) $(DESTDIR)/usr/share/bootcd/
	@install -m 755 -o root -g root $(INITTOP) $(INITRAMFSDEST)/scripts/init-top/
	@install -m 755 -o root -g root $(INITPREMOUNT) $(INITRAMFSDEST)/scripts/init-premount/
	@install -m 755 -o root -g root $(LOCALBOTTOM) $(INITRAMFSDEST)/scripts/local-bottom/
	@install -m 755 -o root -g root $(INITHOOK) $(INITRAMFSDEST)/hooks/

checks: ${USRLIBS} ${USREXLIBS} ${INITTOP} ${MAN} ${CONFFILES} ${SYMLINK}
	@for i in bootcdmk2diskconf.tst[0-9]*; do \
	  ./$$i; e=$$?; if [ $$e != 0 ]; then echo "./$$i returned $$e"; exit $$e; fi; \
	done

$(SYMLINK):
	@ln -s bootcd $@

bootcdconf.lib: bootcdwrite-1.rst bootcd2disk-1.rst bootcdflopcp-1.rst bootcd2disk.conf-5.rst bootcdwrite.conf-5.rst bootcd-7.rst bootcdrst bootcdmk2diskconf-1.rst
	@./bootcdrst  $@ > $@

%.conf: %.conf-5.rst bootcdrst
	@./bootcdrst  $@ > $@

%.1: %-1.rst
	@rst2man $< $@

%.5: %-5.rst
	@rst2man $< $@

%.7: %-7.rst
	@rst2man $< $@

=== debian/changelog ===
bootcd (6.01) unstable; urgency=medium

  * Fixed bug "bootcd: Missing build dependencies on python3-docutils and
    shellia" reported by Adrian Bunk <bunk@debian.org>. closes: 949759
  * some smaller fixes

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Mon, 03 Feb 2020 12:57:13 +0100

bootcd (6.00) unstable; urgency=medium

  * first debian release based on shellia.
  * use tar for bootcdbackup instead of star. Tar now supports --selinux
  * Fixes in FAQ.backup and FAQ.bootcd

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Thu, 19 Dec 2019 15:42:50 +0100

bootcd (6.00~06) unstable; urgency=medium

  * Allow to define functions after_copy(), do_first() and extra_changes() on
    commandline.

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Tue, 05 Nov 2019 15:26:52 +0100

bootcd (6.00~05) unstable; urgency=medium

  * Create man page: bootcd2disk.conf.5, config file: bootcd2disk.conf and
    function defaults_bootcd2disk() from source bootcd2disk.conf-5.rst
  * upgrade copyright from to gpl2 to gpl3

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Thu, 29 Aug 2019 11:45:11 +0200

bootcd (6.00~04) unstable; urgency=medium

  * support xfs
  * bootcdbackup of redhat7, without lvm tested
  * option --yes added. (variable YES obsoletes variable SCRIPT)

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Fri, 05 Jul 2019 09:38:57 +0200

bootcd (6.00~03) unstable; urgency=medium

  * use xorriso instead of genisoimage
  * support efiboot

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Sat, 26 Jan 2019 16:43:43 +0100

bootcd (6.00~02) unstable; urgency=medium

  * use variables SCRIPT and ERRLOG only in conf files. In scripts use
    variables ia_use_silent and ia_logfile instead.
  * bootcdflopcp uses actual mountpoint /mnt/bootcd.upper instead of old
    /bootcd.aufs
  * always use genisoimage (mkisofs does not exist anymore)
  * do not support /dev/.udev anymore
  * added functions info, log, warn, err and dbglog based on shellia commands
  * added bootcdwrite option -y to automatically answer yes
  * changed regular expressions to shellia extended regular expressions

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Wed, 21 Nov 2018 14:23:12 +0100

bootcd (6.00~01) unstable; urgency=medium

  * Use shellia instead of internal interactive lib
  * make bootcdwrite interactive and check command execution
  * drop support for /dev/.static/dev
  * delete unneeded trailing blanks in files

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Thu, 15 Nov 2018 13:06:27 +0100

=== debian/control ===
Source: bootcd
Section: utils
Priority: extra
Maintainer: Bernd Schumacher <bernd.schumacher@hpe.com>
Build-Depends: debhelper (>= 8.0.0), dh-systemd (>= 1.5), python3-docutils, shellia (>= 5.5.1)
Standards-Version: 3.9.8

Package: bootcd
Architecture: all
Suggests: ssh, discover | discover1, elilo, aufs-tools
Depends: ${misc:Depends}, genisoimage, xorriso, cpio, fdutils, file, dosfstools, syslinux, syslinux-common, initramfs-tools, busybox | busybox-static | busybox-cvs | busybox-cvs-static, lsb-base (>= 3.0-6), isolinux, fdisk | util-linux (<< 2.29.2-3~), e2fsprogs, shellia (>= 5.5.1), grub-efi-amd64-bin
Recommends: wodim
Conflicts: bootcd-i386, bootcd-ia64, bootcd-mkinitramfs, bootcd-backup
Description: bootcd tools can copy a running or mounted Debian system.
 Different boot configuration are supportet (efi, old bios, secure boot).
 bootcdwrite creates an ISO life-cd file called bootcd using an overlayfs.
 bootcdflopcp writes changes from overlayfs to floppy disk, when running from bootcd.
 bootcd2disk writes bootable disks (with or without lvm, ext2, ext3, ext4, vfat, swap).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DH_QUIET=1

%:
	@dh $@ --with systemd
